跳转到内容

Birefnet

集成

模型 id birefnet/v2/video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/birefnet/v2/video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

每次运行最高 $2.07 按实际用量计费,剩余部分退款 在此页面运行

获取 API 密钥
BiRefNet 背景移除 #utility#editing

移除视频背景,支持六种模型选择、抠图以及 mp4、webm、mov 或 gif 输出

BiRefNet · 视频

你的第一个结果将在此显示

在下方构建请求,并使用你的 API 密钥运行。输出会复制到我们的存储中,可永久保存或免费保存 7 天。

构建请求

控件根据模型架构生成。更改控件时,代码和价格会同步更新。

•必填 video_url
拖放文件,或

标识要移除背景的视频的 URL。

高级 operating_resolution · video_output_type · video_quality · video_write_mode · model · output_mask · refine_foreground
operating_resolution 默认 1024x1024

工作分辨率,其中 '2304x2304' 仅限 'General Use (Dynamic)' 模型使用。对于高分辨率输入图像,更高的设置可提高输出准确度。

video_output_type 默认 X264 (.mp4)

结果视频的输出类型。

video_quality 默认 high

结果视频的质量级别。

video_write_mode 默认 balanced

结果视频的写入模式。

默认 General Use (Light)

背景移除模型选择:'General Use (Light)' 映射到 BiRefNet,是 BiRefNet 存储库的原始模型,推荐用于大多数场景。'General Use (Light 2K)' 映射到 BiRefNet_lite-2K,使用该原始模型在 2K 图像上训练的版本。'General Use (Heavy)' 映射到 BiRefNet_lite,准确度更高但处理更慢。'Matting' 映射到 BiRefNet-matting,专门为图像抠图训练。'Portrait' 映射到 BiRefNet-portrait,专门使用人像图像训练。'General Use (Dynamic)' 映射到 BiRefNet_dynamic,支持 256x256 到 2304x2304 的可变分辨率。

POST /run/birefnet/v2/video?wait=20 报价 → $2.07
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/birefnet/v2/video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

运行此请求

你的密钥会保留在此浏览器中:仅发送到 Doitong API;只有勾选“记住”后才会保存到 localStorage。 获取 API 密钥

关于 Birefnet

对 `video_url` 中视频的每一帧应用 BiRefNet 分割。模型包括 Light、Light 2K、Heavy、Matting、Portrait 和 Dynamic,运行分辨率最高为 2304x2304(仅 Dynamic 模型支持)。输出可为 X264 mp4、VP9 webm、ProRes 4444 mov 或 GIF,并支持 `video_quality` 和 `video_write_mode` 设置。还可请求单独的蒙版视频。

参数

发送规范名称或原生名称之一,不要同时发送两者。 规范名称

名称类型 默认值允许值 描述
model可选
类型enum
默认值General Use (Light)
General Use (Light)General Use (Light 2K)General Use (Heavy)MattingPortraitGeneral Use (Dynamic)
背景移除模型选择:'General Use (Light)' 映射到 BiRefNet,是 BiRefNet 存储库的原始模型,推荐用于大多数场景。'General Use (Light 2K)' 映射到 BiRefNet_lite-2K,使用该原始模型在 2K 图像上训练的版本。'General Use (Heavy)' 映射到 BiRefNet_lite,准确度更高但处理更慢。'Matting' 映射到 BiRefNet-matting,专门为图像抠图训练。'Portrait' 映射到 BiRefNet-portrait,专门使用人像图像训练。'General Use (Dynamic)' 映射到 BiRefNet_dynamic,支持 256x256 到 2304x2304 的可变分辨率。
operating_resolution可选
类型enum
默认值1024x1024
1024x10242048x20482304x2304
工作分辨率,其中 '2304x2304' 仅限 'General Use (Dynamic)' 模型使用。对于高分辨率输入图像,更高的设置可提高输出准确度。
output_mask可选
类型boolean
默认值false
控制输出中是否包含背景移除蒙版。
refine_foreground可选
类型boolean
默认值true
控制基于估计蒙版的前景细化。
video_url必填 video
类型url · video
标识要移除背景的视频的 URL。
video_output_type可选
类型enum
默认值X264 (.mp4)
X264 (.mp4)VP9 (.webm)PRORES4444 (.mov)GIF (.gif)
结果视频的输出类型。
video_quality可选
类型enum
默认值high
lowmediumhighmaximum
结果视频的质量级别。
video_write_mode可选
类型enum
默认值balanced
fastbalancedsmall
结果视频的写入模式。
必填 规范名称,也可接受

文件参数接受公开的 https:// URL、最大 10 MB 的 data: URI,或上传文件的 file_url。 文件

输出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "birefnet/v2/video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2070,
    "usd": "2.07",
    "charged": 2070,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "mask_video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
你的文件,由你选择每个 outputs[].url 都是存储中的副本:可永久保存(按 GB-月付费),也可免费保存 7 天,由账户设置或 ?storage= 决定。
每个模型的结构相同图像、视频和音频均包含 type、url、content_type、width、height 和 duration。output 是模型自身的结果对象。
输出字段
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}移除背景后的视频。
mask_video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames} | null背景移除过程中应用的蒙版。

对于 AI 代理:此页面的 Markdown 版本位于 https://doitong.com/zh/developers/models/birefnet/v2/video.md. 所有模型和指南: https://doitong.com/developers/llms.txt